Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface WhileExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  WhileExpImpl

    public interface WhileExp

extends ImperativeExpression

A representation of the model object 'While Exp'.

The following features are supported:

- `Body`
- `Condition`

See Also:
  `ImperativeOCLPackage.getWhileExp()`

Method Summary
`OCLExpression` | `getBody()` Returns the value of the 'Body' containment reference
`OCLExpression` | `getCondition()` Returns the value of the 'Condition' containment reference
`void` | `setBody(OCLExpression value)` Sets the value of the '`Body`' containment reference
`void` | `setCondition(OCLExpression value)` Sets the value of the '`Condition`' containment reference

Method Detail

### getBody

    OCLExpression getBody()

  Returns the value of the 'Body' containment reference.

  If the meaning of the 'Body' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' containment reference.
  See Also:
    `setBody(OCLExpression)`, `ImperativeOCLPackage.getWhileExp_Body()`

### setBody

    void setBody(OCLExpression value)

  Sets the value of the '`Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Body' containment reference.
  See Also:
    `getBody()`

### getCondition

    OCLExpression getCondition()

  Returns the value of the 'Condition' containment reference.

  If the meaning of the 'Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `setCondition(OCLExpression)`, `ImperativeOCLPackage.getWhileExp_Condition()`

### setCondition

    void setCondition(OCLExpression value)

  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getCondition()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD